import { CarePlanActivity, CodeableConcept, Reference } from 'fhir';
import { BackboneElementBuilder } from './backbone-element-builder';
/**
 * Class representing a FHIR CarePlanActivity builder
 * FIXME: Incomplete
 */
export declare class CarePlanActivityBuilder extends BackboneElementBuilder {
    /**
     * The CarePlanActivity that is being built
     * @protected
     * @type { CarePlanActivity }
     * @ignore
     */
    protected element: CarePlanActivity;
    /**
     * Creates a new FHIR CarePlanActivityBuilder
     */
    constructor();
    /**
     * Sets a copy of an existing CarePlanActivity for this CarePlanActivityBuilder to allow for manipulating, or interacting with, the
     * carePlanActivity through this CarePlanActivityBuilder
     * If no argument is provided, a new CarePlanActivity will be generated
     * @param { CarePlanActivity } careplan - The carePlanActivity to set
     * @returns { CarePlanActivityBuilder } The builder
     * @override
     */
    use(carePlanActivity?: CarePlanActivity): this;
    /**
     * Returns the outcomeCodeableConcept-field of the CarePlanActivity
     * @returns { CodeableConcept[] } The outcomeCodeableConcept-field
     */
    getOutcomeCodeableConcept(): CodeableConcept[];
    /**
     * Sets the outcomeCodeableConcept-field of the CarePlanActivity with the provided CodeableConcept-array.
     * If no argument is provided, the field will be removed
     * @returns { CarePlanActivityBuilder } The builder
     */
    setOutcomeCodeableConcept(outcomeCodeableConcept?: CodeableConcept[]): this;
    /**
     * Adds a CodeableConcept to the outcomeCodeableConcept-array of the CarePlanActivity
     * @returns { CarePlanActivityBuilder } The builder
     */
    addOutcomeCodeableConcept(outcomeCodeableConcept: CodeableConcept): this;
    /**
     * Returns the outcomeReference-field of the CarePlanActivity
     * @returns { Reference[] } The outcomeReference-field
     */
    getOutcomeReference(): Reference[];
    /**
     * Sets the outcomeReference-field of the CarePlanActivity with the provided Reference-array
     * If no argument is provided, the field will be removed
     * @returns { CarePlanActivityBuilder } The builder
     */
    setOutcomeReference(outcomeReference?: CodeableConcept[]): this;
    /**
     * Adds a CodeableConcept to the outcomeCodeableConcept-array of the CarePlanActivity
     * @returns { CarePlanActivityBuilder } The builder
     */
    addOutcomeReference(outcomeReference: Reference): this;
    /**
     * Returns the reference-field of the CarePlanActivity if it is set
     * @returns { Reference } The reference-field
     */
    getReference(): Reference | undefined;
    /**
     * Sets the reference-field of the CarePlanActivity with the provided reference
     * If no argument is provided, the field will be removed
     * @returns { CarePlanActivityBuilder } The builder
     */
    setReference(reference?: Reference): this;
    /**
     * Returns whether or not the carePlanActivity provided as an argument is in conflict with the carePlanActivity used in the builder
     * @param { CarePlanActivity } activity The carePlanActivity to test for conflict
     * @returns { boolean } Whether it is in conflict
     * @override
     */
    conflictsWith(activity: CarePlanActivity): boolean;
    /**
     * Make a new object that implements a FHIR CarePlanActivity
     * @returns { CarePlanActivity } - an object that implements FHIR CarePlanActivity
     * @override
     */
    protected make(): CarePlanActivity;
    /**
     * Builds and returns the carePlanActivity
     * @returns { CarePlanActivity } - the carePlanActivity
     * @override
     */
    build(): CarePlanActivity;
}
