/**
 * An error to be used when an object of the same type already exists
 */
export declare class AlreadyExistsError extends Error {
    /**
     * An array of strings identifying the resources that caused the error
     * @private
     * @type { string[] }
     * @ignore
     */
    private _conflicts;
    constructor(message?: string, ...conflicts: string[] | AlreadyExistsError[]);
    /**
     * Returns an array of strings identifying the resources that caused the error
     */
    readonly conflicts: string[];
    /**
     * Tests if an array is of type string[]
     * @param { [] } array The array to test
     */
    private isStringArray;
}
