/**
 * A class containing all constants
 */
export declare class Constants {
    /**
     * A map of the extensions that different extension-url's that exist for CarePlan
     */
    static readonly carePlan: {
        /**
         * The url for the activity.thresholdSet extension
         */
        thresholdSet: string;
    };
    /**
     * A map of the extensions that different extension-url's that exist for PlanDefinition
     */
    static readonly planDefinition: {
        /**
         * The url for the action.thresholdSet extension
         */
        thresholdSet: string;
    };
    /**
     * A map of the extensions that different extension-url's that exist for ThresholdSet
     */
    static readonly thresholdSet: {
        /**
         * The url for the version extension
         */
        version: string;
        /**
         * The url for the status extension
         */
        status: string;
        /**
         * The url for the approvalDate extension
         */
        approvalDate: string;
        /**
         * The url for the approvingPractitioner extension
         */
        approvingPractitioner: string;
        /**
         * The url for the appliesTo extension
         */
        appliesTo: string;
        /**
         * The url for the threshold extension
         */
        threshold: string;
        /**
         * The url for the threshold.type extension
         */
        type: string;
        /**
         * The url for the threshold.effectiveWhen extension
         */
        effectiveWhen: string;
        /**
         * The url for the threshold.effectiveBehavior extension
         */
        effectiveBehavior: string;
        /**
         * The url for the threshold.effectiveWhen.component extension
         */
        component: string;
        /**
         * The url for the threshold.effectiveWhen.valueBoolean extension
         */
        valueBoolean: string;
        /**
         * The url for the threshold.effectiveWhen.valueBoolean extension
         */
        valueDecimal: string;
        /**
         * The url for the threshold.effectiveWhen.valueBoolean extension
         */
        valueInteger: string;
        /**
         * The url for the threshold.effectiveWhen.valueBoolean extension
         */
        valueString: string;
        /**
         * The url for the threshold.effectiveWhen.valueBoolean extension
         */
        valueDate: string;
        /**
         * The url for the threshold.effectiveWhen.valueBoolean extension
         */
        valueDateTime: string;
        /**
         * The url for the threshold.effectiveWhen.valueBoolean extension
         */
        valueUri: string;
        /**
         * The url for the threshold.effectiveWhen.valueBoolean extension
         */
        valueAttachment: string;
        /**
         * The url for the threshold.effectiveWhen.valueBoolean extension
         */
        valueCodeableConcept: string;
        /**
         * The url for the threshold.effectiveWhen.valueBoolean extension
         */
        valueQuantity: string;
        /**
         * The url for the threshold.effectiveWhen.valueBoolean extension
         */
        valueReference: string;
        /**
         * The url for the threshold.effectiveWhen.operator extension
         */
        operator: string;
    };
}
